Wymagania techniczne

1. Wymagania techniczne

1.1 Serwer terminali

Aplikacja Comarch WMS Magazynier działa na serwerze terminali. Użytkownicy mobilni łączą się do aplikacji Magazynier za pomocą klienta pulpitu zdalnego zainstalowanego na kolektorze. W związku z faktem, iż wszystkie operacje wykonywane są bezpośrednio na serwerze, niesie to za sobą konieczność posiadania efektywnej infrastruktury serwera terminali.

Zasadniczo wymagania sprzętowe dla serwera terminali, związane z działaniem aplikacji Comarch WMS Magazynier, nie różnią się od zaleceń w przypadku korzystania z pracy terminalowej z systemem Comarch ERP Altum i zależą przede wszystkim od ilości uruchomionych jednocześnie sesji terminalowych oraz przepustowości karty sieciowej. W związku z tym, zalecamy skonfigurowanie infrastruktury zgodnie z wymaganiami zawartymi w dokumencie Comarch ERP Altum – Dokumentacja użytkownika systemu – Skalowalność sprzętowa dostępnym na Indywidualnych Stronach Klientów i Partnerów.

1.2 Wymagania aplikacji

Wymagania ERP Altum dla WMS Magazynier.

Aplikacja Comarch WMS Magazynier do poprawnego działania potrzebuje:

  • Zapewnionego stałego dostępu do serwera MS SQL i bazy danych,
  • Współpracy z systemem Comarch ERP Altum w wersji 2018.5 lub 2019.5,
  • Wykupionego modułu Altum WMS Magazynier,
  • Wymagany moduł dodatkowy Altum API biznesowe,
  • Zainstalowanej aplikacji Comarch ERP Menadżer Kluczy w wersji 2019.1.4,
  • Aplikacji Comarch WMS Zarządzanie w wersji pełnej (płatnej) lub wersji z uproszczonym interfejsem (bezpłatnej).

Wymagania ERP Altum z WMS Zarządzanie.

Aplikacja Comarch WMS Zarządzanie do poprawnego działania potrzebuje:

  • Zapewnionego stałego dostępu do serwera MS SQL i bazy danych,
  • Współpracy z systemem Comarch ERP Altum w wersji 2018.5 lub 2019.5,
  • Zainstalowanego Comarch WMS Magazynier 2019.6,
  • Wymagany moduł dodatkowy Altum API biznesowe,

Aplikacja Comarch WMS Zarządzanie wymaga także, aby na komputerze, na którym będzie instalowany portal, były zainstalowane komponenty:

  • Microsoft .NET Framework 4.7.2,
  • Microsoft ASP.NET MVC 4,
  • Microsoft Internet Information Services (IIS) w 7.0 lub wyższej (wraz z komponentem Microsoft ASP.NET).
Uwaga
Jeżeli na stanowisku, na którym instalowana będzie aplikacja Comarch WMS Zarządzanie, jest zainstalowany program Microsoft Visual Studio 2010, należy koniecznie doinstalować do niego ServicePack 1.

Portal Comarch WMS Zarządzanie jest kompatybilny z następującymi przeglądarkami:

  • dla systemu Android w wersji 4+: Chrome 39+
  • dla systemu Windows Phone 8: Internet Explorer 11+
  • dla systemu iOS 4+: Safari 5.1.7 +
  • dla systemu Windows: Chrome 39+, Mozilla Firefox 27+, Internet Explorer 11+
Uwaga
W przypadku, gdy pojawi się poniższy komunikat przy próbie załadowania strony z aplikacją:
Nie można załadować pliku lub zestawu ‚Microsoft.Web.Infrastructure, Version=1.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35’ lub jednej z jego zależności. Nie można odnaleźć określonego pliku.
Należy wówczas doinstalować ASP.NET MVC 4 for Visual Studio 2010 SP1 – w przypadku systemu Windows 8 domyślnie zainstalowany ASP.NET 4.5, musi być 4.0.
Uwaga
-Aplikacja Comarch WMS działa tylko z Comarch ERP Altum Centrala Serwer (Tylko dla ERP Altum).

Minimalna wymagana wersja SQL Server 2008 R2 SP2

-Wymagane jest zainstalowanie komponentu SQL Full-Text Search na instalacji SQL.

-Domyślnie SQL Server w wersji 2008 nie instaluje narzędzi do języka polskiego. Instrukcja manualnej instalacji znajduje się poniżej we wskazówce.

1.3 Urządzenia przenośne

Aplikacja Comarch WMS Magazynier ma niewielkie wymaganie sprzętowe, jeśli chodzi o urządzenia mobilne (kolektory).

Powinno być ono wyposażone w:

  • Wyświetlacz dotykowy o rozdzielczości 320×240 lub 640×480;
  • Kartę sieciową działającą w standardzie TCP/IP (np. Ethernet lub WiFi) lub GSM (np. GPRS)
  • Wbudowany czytnik kodów kreskowych obsługujący przynajmniej EAN 13 oraz EAN 128;
  • Oprogramowanie na kolektorze umożliwiające prace z czytnikiem kodów kreskowych w trybie „emulacji klawiatury” (odczytywane kody kreskowe pojawiają się w polach tekstowych bez użycia specyficznych bibliotek urządzenia).
  • Dodatkowo na kolektorze powinien być zainstalowany klient RDP obsługujący 16-bitową paletę barw (High Color). W przypadku urządzeń z systemem Windows Mobile, na których zainstalowany jest klient RDP obsługujący wyłącznie 256 kolorów (np. Terminal Services Client) zaleca się zainstalowanie aplikacji Remote Desktop Mobile .
    Można ją pobrać pod adresem: tutaj
Uwaga
Aplikacja Comarch WMS Magazynier była testowana z następującymi kolektorami:

  • Honeywell Dolphin 9950,
  • Honeywell Dolphin 9900,
  • Honeywell Dolphin 6500,
  • Honeywell Dolphin 99GX,
  • Symbol mc9090
  • Point Mobile PM450.

Zalecamy jednak, aby przed wyborem urządzenia (o ile jest taka możliwość) wypożyczyć konkretny model i sprawdzić działanie kolektora podczas łączenia się przez pulpit zdalny. Szczególnie polecamy sprawdzenie poprawności skanowania kodów kreskowych, prezentacji aplikacji na wyświetlaczu oraz działania przycisków funkcyjnych na kolektorze.

 

Czy ten artykuł był pomocny?